Package org.jfree.report.data

## Class ReportContextImpl

- java.lang.Object
- - org.jfree.report.data.ReportContextImpl

- All Implemented Interfaces:
    `ReportContext`

      public class ReportContextImpl
      extends java.lang.Object
      implements ReportContext

  Creation-Date: 20.11.2006, 12:19:34
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReportContextImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getAttribute​(java.lang.Object key)` |
    `java.lang.String` | `getExportDescriptor()` |
    `org.pentaho.reporting.libraries.formula.FormulaContext` | `getFormulaContext()` |
    `LayoutControllerFactory` | `getLayoutControllerFactory()` |
    `ReportStructureRoot` | `getReportStructureRoot()` |
    `ResourceBundleFactory` | `getResourceBundleFactory()` |
    `boolean` | `isSystemAttribute​(java.lang.Object key)` |
    `void` | `setAttribute​(java.lang.Object key, java.lang.Object value)` |
    `void` | `setExportDescriptor​(java.lang.String exportDescriptor)` |
    `void` | `setFormulaContext​(org.pentaho.reporting.libraries.formula.FormulaContext formulaContext)` |
    `void` | `setLayoutControllerFactory​(LayoutControllerFactory layoutControllerFactory)` |
    `void` | `setReportStructureRoot​(ReportStructureRoot reportStructureRoot)` |
    `void` | `setResourceBundleFactory​(ResourceBundleFactory resourceBundleFactory)` |
    `void` | `setSystemAttribute​(java.lang.Object key, java.lang.Object value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReportContextImpl

          public ReportContextImpl()

  - ### Method Detail

    - #### setReportStructureRoot

          public void setReportStructureRoot​(ReportStructureRoot reportStructureRoot)

    - #### getReportStructureRoot

          public ReportStructureRoot getReportStructureRoot()

      Specified by:
        `getReportStructureRoot` in interface `ReportContext`

    - #### getExportDescriptor

          public java.lang.String getExportDescriptor()

      Specified by:
        `getExportDescriptor` in interface `ReportContext`

    - #### setExportDescriptor

          public void setExportDescriptor​(java.lang.String exportDescriptor)

    - #### getFormulaContext

          public org.pentaho.reporting.libraries.formula.FormulaContext getFormulaContext()

      Specified by:
        `getFormulaContext` in interface `ReportContext`

    - #### setFormulaContext

          public void setFormulaContext​(org.pentaho.reporting.libraries.formula.FormulaContext formulaContext)

    - #### getLayoutControllerFactory

          public LayoutControllerFactory getLayoutControllerFactory()

      Specified by:
        `getLayoutControllerFactory` in interface `ReportContext`

    - #### setLayoutControllerFactory

          public void setLayoutControllerFactory​(LayoutControllerFactory layoutControllerFactory)

    - #### setAttribute

          public void setAttribute​(java.lang.Object key,
                                   java.lang.Object value)

      Specified by:
        `setAttribute` in interface `ReportContext`

    - #### setSystemAttribute

          public void setSystemAttribute​(java.lang.Object key,
                                         java.lang.Object value)

    - #### getAttribute

          public java.lang.Object getAttribute​(java.lang.Object key)

      Specified by:
        `getAttribute` in interface `ReportContext`

    - #### isSystemAttribute

          public boolean isSystemAttribute​(java.lang.Object key)

    - #### getResourceBundleFactory

          public ResourceBundleFactory getResourceBundleFactory()

      Specified by:
        `getResourceBundleFactory` in interface `ReportContext`

    - #### setResourceBundleFactory

          public void setResourceBundleFactory​(ResourceBundleFactory resourceBundleFactory)